<?php

require_once "../../../app/model/db.class.php";

if ($_POST['accion']=='mostrar_tabla'){

    $cadena="<center><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";
    $cadena.="<td><b>CODIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='codigo' SIZE='40' ></td>";
    $cadena.="<td><b>DESCRIPCI&Oacute;N</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='descripcion' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="<tr><td><b>TIPO DE FALTA</b></td>";
    $cadena.="<td><input style='font-weight:bold;text-align:center;' onblur=\"al_salir('tf_id1','tf_id2','tipo_falta');\" onclick=\"mostrar('tf_id1','tf_id2','tipo_falta',280,220)\" type='text' id='tf_id1' size='2'>
    <input style='font-weight:bold;text-align:center;background-color: #dfdcdc' type='text' id='tf_id2' size='20' readonly=\"readonly\"></td></tr>";


    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Grabar()' value=' Grabar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr></table>";
    $cadena.="</center> 
   <div id='dialog' style='background-color:#003366; ' title='SELECCIONE ITEM' style=\"display:none;\"></div>
 ";
    echo $cadena;

}

//------------------------------------

if ($_POST['accion']=='grabar_tfalta'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=($_POST['descripcion']);
    $tip_falta=$_POST['tip_falta'];


    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
     $resultado2=$obj->consulta("select * from faltas where codigo='".$codigo."'");
    $n=$obj->numero_de_filas($resultado2);
    
    if($n>0)
    {
        echo "Codigo Existente";
    }else{
        $resultado=$obj->consulta("insert into faltas (codigo,descripcion,tipo_falta,orden) values('".$codigo."','".$descripcion."','".$tip_falta."','')");
        $obj->disconnect();

        if($resultado){
           echo "Registro Grabado";
        }
    }
}

//------------------------------------

if ($_POST['accion']=='tablabuscarF'){

    $cadena="<center><br><table border='0' cellspacing='5' cellpadding='0' '>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";

    $cadena.="<td><b>TIPO DE FALTA</b></td>";
    $cadena.="<td><input style='font-weight:bold;text-align:center;' onclick=\"mostrar('per_id1','per_id2','tipo_falta',250,190);\" type='text' id='per_id1' size='2'>
    <input style='font-weight:bold;text-align:center;background-color: #dfdcdc' type='text' id='per_id2' size='20' readonly=\"readonly\"></td></td>";

    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btnbuscar' onclick='mostrar_f();' value=' Mostrar '><INPUT TYPE='button' name='btnlimpiar' onclick='limpiar_f();' value=' Limpiar '></td></tr></table>";
    $cadena.="</center> <div id='dialog' style='background-color:#003366; ' title='SELECCIONE ITEM' style=\"display:none;\"></div>";
    echo $cadena;

}


//------------------------------------

if ($_POST['accion']=='comp_codigo'){

    $obj = new database();

    $codigo=$_POST['codigo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $resultado=$obj->consulta("select matriculas.codigo,CONCAT(p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre) as nombres,matriculas.estado, matriculas.grado, grados.descripcion as nom_grad, matriculas.curso, cursos.descripcion as nom_cur
               from (grados inner join (cursos inner join matriculas on (cursos.codigo = matriculas.curso) and (cursos.grado = matriculas.grado)) on grados.codigo = cursos.grado) inner join alumnos on matriculas.codigo = alumnos.codigo
               where  matriculas.codigo='".$codigo."'");



    $n=$obj->numero_de_filas($resultado);
	
	if($n<>0){
		
		$row=$obj->fetch_assoc($resultado);
		
		if($row['estado']=='A'){
					
			 echo ($row['nombres'])."*".$row['grado']."*".$row['nom_grad']."*".$row['curso']."*".$row['nom_cur'];
                         $obj->disconnect();
			
		}else{
			echo 'na';	
			}
		
		
	
	}else{
	
		echo 'nr';
	}
    
}


//------------------------------------

if ($_POST['accion']=='actualizar_tfalta'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=($_POST['descripcion']);
    $tfalta=$_POST['tfalta'];
    $sec=$_POST['sec'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("update faltas set codigo='".$codigo."', descripcion ='".$descripcion."',tipo_falta='".$tfalta."' where orden='".$sec."'");
    
   $obj->disconnect();

    if($resultado){
       echo "Tipo de Falta Actualizada";
    }
}

//------------------------------------

if ($_POST['accion']=='actualizar_tfaltabus'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=($_POST['descripcion']);
    $tfalta=$_POST['tfalta'];
    $sec=$_POST['sec'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("update faltas set codigo='".$codigo."', descripcion ='".$descripcion."',tipo_falta='".$tfalta."' where orden='".$sec."'");

   $obj->disconnect();

    if($resultado){
       echo "Tipo de Falta Actualizada";
    }
}


//------------------------------------

if ($_POST['accion']=='borrar_tfalta'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    
    
    $resultado=$obj->consulta("select * from faltas where orden='".$codigo."'"); 
    
    $row= $obj->fetch_assoc($resultado);   
    
    $resultado2=$obj->consulta("select * from reporte_faltas  where falta='".$row['codigo']."'");
    $n=$obj->numero_de_filas($resultado2);
    

    if ($n!=0){
       echo "No se puede Eliminar la Clase de Falta - Contiene Registros -";
    }else{
    
       $resultado1=$obj->consulta("delete from faltas where orden='".$codigo."'");

       if($resultado1){
          echo "Falta Eliminada";
       }
    }

    $obj->disconnect();

}

//------------------------------------

if ($_POST['accion']=='editar_tfalta'){


    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from faltas where orden='".$codigo."'");
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);


    $cadena="<center><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";
    $cadena.="<td><b>CODIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' readonly='readonly' TYPE='TEXT' ID='codigo' VALUE='".$row['codigo']."' SIZE='55' ></td>";
    $cadena.="<td><b>DESCRIPCI&Oacute;N</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='descripcion' VALUE='".($row['descripcion'])."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";

    $cadena.="<tr>";
    $cadena.="<td><b>TIPO DE FALTA</b></td>";
    $cadena.="<td><input style='font-weight:bold;text-align:center;' VALUE='".($row['tipo_falta'])."'  onkeyup=\"limpiar('g_id1','g_id2')\" onblur=\"al_salir('g_id1','g_id2','grados');\" type='text' id='tp_falta' size='2'>&nbsp;&nbsp;";
    $cadena.="<input style='font-weight:bold;text-align:center;background-color: #dfdcdc' type='text' id='g_id2' size='20' readonly=\"readonly\"></td></tr>";

    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Actualizar(".$codigo.");' value=' Actualizar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr></table>";
    $cadena.="<center>";
    echo $cadena;

}

//------------------------------------------------------------------------------

if ($_POST['accion']=='editar_tfaltabus'){


    $obj = new database();

    $codigo=$_POST['codigo'];
    $tipo=$_POST['tipo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from faltas where orden='".$codigo."'");
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);


    $cadena="<center><br><table border='0' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>";
    $cadena.="<td><b>CODIGO</b></td><td><INPUT style='font-weight:bold;text-align:center;' readonly='readonly' TYPE='TEXT' ID='codigo' VALUE='".$row['codigo']."' SIZE='55' ></td>";
    $cadena.="<td><b>DESCRIPCI&Oacute;N</b></td><td><INPUT  style='font-weight:bold;text-align:center;' TYPE='TEXT' ID='descripcion' VALUE='".($row['descripcion'])."' SIZE='55' onkeyup = 'this.value=this.value.toUpperCase()'></td>";
    $cadena.="</tr>";

    $cadena.="<tr>";
    $cadena.="<td><b>TIPO DE FALTA</b></td>";
    $cadena.="<td><input style='font-weight:bold;text-align:center;' VALUE='".($row['tipo_falta'])."'  onkeyup=\"limpiar('g_id1','g_id2')\" onblur=\"al_salir('g_id1','g_id2','grados');\" type='text' id='tp_falta' size='2'>&nbsp;&nbsp;";
    $cadena.="<input style='font-weight:bold;text-align:center;background-color: #dfdcdc' type='text' id='g_id2' size='20' readonly=\"readonly\"></td></tr>";

    $cadena.="<tr><td colspan='10' align='center'><br><INPUT TYPE='button' name='btngrabar' onclick='Actualizarbus(".$codigo.",".$tipo.");' value=' Actualizar '><INPUT TYPE='button' name='btnlimpiar' onclick='Limpiar();' value=' Limpiar '></td></tr></table>";
    $cadena.="<center>";
    echo $cadena;

}



?>
